aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichał Łyszczek <michal.lyszczek@bofc.pl>2021-05-16 15:09:05 +0200
committerMichał Łyszczek <michal.lyszczek@bofc.pl>2021-05-16 15:09:05 +0200
commitc76de36260c960a44ac13f210a7ac6666057da16 (patch)
tree7fda2c913bf88b1d8b02257be1e9fae22dacb2a6
parent9f9aca45bb0ad212a4704c986c79c906f82016a1 (diff)
downloadembedlog-c76de36260c960a44ac13f210a7ac6666057da16.tar.gz
embedlog-c76de36260c960a44ac13f210a7ac6666057da16.tar.bz2
embedlog-c76de36260c960a44ac13f210a7ac6666057da16.zip
test-compilation.sh: improve code to not bash git clone serverHEADmaster
no_ci Signed-off-by: Michał Łyszczek <michal.lyszczek@bofc.pl>
-rwxr-xr-xtest-compilation.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/test-compilation.sh b/test-compilation.sh
index 800b745..e53bf85 100755
--- a/test-compilation.sh
+++ b/test-compilation.sh
@@ -17,7 +17,7 @@ prepare()
project_dir="${3}"
# clone
- if ! git clone git://git.bofc.pl/"${project}" "${project}-${slot}"
+ if ! git clone "${project}-base" "${project}-${slot}"
then
echo "couldn't clone, sorry"
exit 1
@@ -160,6 +160,13 @@ do
slots+="${i} "
done
+# we will clone $job-number times, no need to bash the server with so much
+# clone jobs, clone once and then we will use that local repo to clone from
+if ! git clone git://git.bofc.pl/"${project}" "${project}-base"; then
+ echo "couldn't clone, sorry"
+ exit 1
+fi
+
# run preparation
parallel --output-as-files --bar --results "${workdir}" \
--halt-on-error now,fail=1 --jobs ${num_jobs} \